[Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1gv

You think you have found a bug? Let us know about it.

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby filip » 16. Jun 2017, 19:39

DrCR wrote:Thanks for the post, filip, as I have been in vain trying to get the current package of FF to work with oxygen-gtk. (Adwaita works, as noted in prior post, but it is not aesthetically pleasant.)

Oxygen-gtk version presently in the 14.0 repo:
Code: Select all
# slapt-get --search oxygen-gtk
oxygen-gtk2-1.3.0-x86_64-1 [inst=yes]: oxygen-gtk2 (Oxygen GTK+ engine)
oxygen-gtk3-1.1.0-x86_64-1dj [inst=yes]: oxygen-gtk3 (a gtk3 port of the default KDE widget theme)

Update
More info here:
https://www.linuxquestions.org/question ... 175552221/
In a nutshell, if I'm reading this correctly, Gnome stopped the support of themes, and the oxygen-gtk dev subsequently halted development.


Yeah, but that's following the GTK 3.16 and later, so it affects only 14.2 and current. ;)
As for 14.0, I'd guess that the best way would be to just patch the Oxy package ( hopefully it won't need much porting and fiddling, esp. given that the older v.1.0.2 can be patched ). :)
User avatar
filip
 
Posts: 6
Joined: 22. Apr 2017, 01:40
Location: Belgrade, Serbia

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby gapan » 16. Jun 2017, 20:28

EDIT: Scratch that. It won't work. Versions 1.3.x need gtk+3 3.10 at least, so it won't compile in 14.0.

You could try getting the SLKBUILD for oxygen-gtk from here:
http://download.salixos.org/i486/14.0/s ... ygen-gtk3/

then a tarball for a newer oxygen-gtk3 source from here:
http://ftp.ntua.gr/pub/X11/kde/stable/oxygen-gtk3/

Put them in the same directory. Edit the SLKBUILD file and change the pkgver line to the one you downloaded. Run:
Code: Select all
fakeroot slkbuild -X

and once the new package is created (hopefully with no errors), install it with:
Code: Select all
spkg oxygen-gtk3-*.txz


If it works, blacklist oxygen-gtk3 in your slapt-getrc, so the new package won't get replaced by the one in the repos.
Image
Image
User avatar
gapan
Salix Wizard
 
Posts: 5167
Joined: 6. Jun 2009, 17:40

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby DrCR » 16. Jun 2017, 22:25

I take this is what you were referring to in your edit:
-- checking for module 'gtk+-3.0>=3.10.0'
-- package 'gtk+-3.0>=3.10.0' not found

Code: Select all
$ ls
SLKBUILD  oxygen-gtk3-1.4.1.tar.bz2
$ cat SLKBUILD
#Maintainer: Dimitris Tzemos <djemos@slackel.gr>

pkgname=oxygen-gtk3
pkgver=1.4.1
pkgrel=1dj
docs=('AUTHORS' 'COPYING' 'INSTALL' 'README' 'TODO')
source=("ftp://ftp.ntua.gr/pub/X11/kde/stable/oxygen-gtk3/1.1.0/src/$pkgname-$pkgver.tar.bz2")
#       http://ftp.ntua.gr/pub/X11/kde/stable/oxygen-gtk3/1.4.1/src/oxygen-gtk3-1.4.1.tar.bz2   
url="http://hugo-kde.blogspot.com/"


slackdesc=\
(
#|-----handy-ruler------------------------------------------------------|
"oxygen-gtk3 (a gtk3 port of the default KDE widget theme)"
"Oxygen-Gtk3 is a port of the default KDE widget theme (Oxygen),to gtk."
"It's primary goal is to ensure visual consistency between gtk and"
"qt-based applications running under kde. A secondary objective is"
"to also have a stand-alone nice looking gtk theme that would behave"
"well on other Desktop Environments."
)

build() {
        cd $startdir/src/$pkgname-$pkgver
        mkdir build || return 1
        cd build   || return 1

        cmake -DCMAKE_INSTALL_PREFIX=/usr -DLIB_SUFFIX=${LIBDIRSUFFIX} ../
        make $NUMJOBS || return 1
        make DESTDIR=$startdir/pkg/ install || return 1

}
$ fakeroot slkbuild -X
Automatically setting arch to x86_64
oxygen-gtk3-1.4.1.tar.bz2 found in current directory
build-oxygen-gtk3.sh has been created
tar -xf oxygen-gtk3-1.4.1.tar.bz2
-- The C compiler identification is GNU 4.7.1
-- The CXX compiler identification is GNU 4.7.1
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
Detected oxygen version string: 1.4.1
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.25")
-- checking for module 'gtk+-3.0>=3.10.0'
--   package 'gtk+-3.0>=3.10.0' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:279 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_internal)
  CMakeLists.txt:108 (pkg_check_modules)


-- checking for module 'cairo'
--   found cairo, version 1.10.2
Info: using LIB_SUFFIX to set the theme engine installation path
Warning: disabling inner shadows hack because GTK version is too old (needed 3.0.0, found )
Flags:
  OXYGEN_DEBUG 0
  OXYGEN_DEBUG_INNERSHADOWS 0
  OXYGEN_ICON_HACK 1
  OXYGEN_FORCE_KDE_ICONS_AND_FONTS 1
  ENABLE_COMBOBOX_LIST_RESIZE 1
  ENABLE_INNER_SHADOWS_HACK 0
  ENABLE_GROUPBOX_HACK 1

Paths:
  Installing the GTK theme engine library to: /usr/lib64/gtk-3.0/3.0.0/theming-engines
  Installing the GTK theme engine data to: /usr/share/themes/oxygen-gtk

-- Configuring incomplete, errors occurred!
make: *** No targets specified and no makefile found.  Stop.
build() failed.
$ ls
SLKBUILD  oxygen-gtk3-1.4.1.tar.bz2
$ cat SLKBUILD
#Maintainer: Dimitris Tzemos <djemos@slackel.gr>

pkgname=oxygen-gtk3
pkgver=1.4.1
pkgrel=1dj
docs=('AUTHORS' 'COPYING' 'INSTALL' 'README' 'TODO')
source=("ftp://ftp.ntua.gr/pub/X11/kde/stable/oxygen-gtk3/1.1.0/src/$pkgname-$pkgver.tar.bz2")
#       http://ftp.ntua.gr/pub/X11/kde/stable/oxygen-gtk3/1.4.1/src/oxygen-gtk3-1.4.1.tar.bz2   
url="http://hugo-kde.blogspot.com/"


slackdesc=\
(
#|-----handy-ruler------------------------------------------------------|
"oxygen-gtk3 (a gtk3 port of the default KDE widget theme)"
"Oxygen-Gtk3 is a port of the default KDE widget theme (Oxygen),to gtk."
"It's primary goal is to ensure visual consistency between gtk and"
"qt-based applications running under kde. A secondary objective is"
"to also have a stand-alone nice looking gtk theme that would behave"
"well on other Desktop Environments."
)

build() {
        cd $startdir/src/$pkgname-$pkgver
        mkdir build || return 1
        cd build   || return 1

        cmake -DCMAKE_INSTALL_PREFIX=/usr -DLIB_SUFFIX=${LIBDIRSUFFIX} ../
        make $NUMJOBS || return 1
        make DESTDIR=$startdir/pkg/ install || return 1

}
$ fakeroot slkbuild -X
Automatically setting arch to x86_64
oxygen-gtk3-1.4.1.tar.bz2 found in current directory
build-oxygen-gtk3.sh has been created
tar -xf oxygen-gtk3-1.4.1.tar.bz2
-- The C compiler identification is GNU 4.7.1
-- The CXX compiler identification is GNU 4.7.1
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
Detected oxygen version string: 1.4.1
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.25")
-- checking for module 'gtk+-3.0>=3.10.0'
--   package 'gtk+-3.0>=3.10.0' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:279 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_internal)
  CMakeLists.txt:108 (pkg_check_modules)


-- checking for module 'cairo'
--   found cairo, version 1.10.2
Info: using LIB_SUFFIX to set the theme engine installation path
Warning: disabling inner shadows hack because GTK version is too old (needed 3.0.0, found )
Flags:
  OXYGEN_DEBUG 0
  OXYGEN_DEBUG_INNERSHADOWS 0
  OXYGEN_ICON_HACK 1
  OXYGEN_FORCE_KDE_ICONS_AND_FONTS 1
  ENABLE_COMBOBOX_LIST_RESIZE 1
  ENABLE_INNER_SHADOWS_HACK 0
  ENABLE_GROUPBOX_HACK 1

Paths:
  Installing the GTK theme engine library to: /usr/lib64/gtk-3.0/3.0.0/theming-engines
  Installing the GTK theme engine data to: /usr/share/themes/oxygen-gtk

-- Configuring incomplete, errors occurred!
make: *** No targets specified and no makefile found.  Stop.
build() failed.
$ ls
SLKBUILD  build-oxygen-gtk3-1.4.1-x86_64-1dj.log  oxygen-gtk3-1.4.1.tar.bz2  pkg  src
$
DrCR
 
Posts: 32
Joined: 30. May 2014, 05:14

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby gapan » 16. Jun 2017, 22:48

Try the txz package from here:
http://pnboy.pinguix.com/gapan/salix/oxygen-gtk3/

Install it with spkg. It uses the patch filip linked to. I haven't tried it at all if it works or not. I don't have kde installed in a 14.0 system here.
Image
Image
User avatar
gapan
Salix Wizard
 
Posts: 5167
Joined: 6. Jun 2009, 17:40

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby DrCR » 16. Jun 2017, 22:49

If I'm reading this thread correctly, the Slackware FF package is compiled with gtk2, so why is gtk3 e.g. ~/.config/gtk-3.0/ applicable at all?
DrCR
 
Posts: 32
Joined: 30. May 2014, 05:14

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby gapan » 16. Jun 2017, 22:51

No. The Salix FF 52 package is gtk+3.
Image
Image
User avatar
gapan
Salix Wizard
 
Posts: 5167
Joined: 6. Jun 2009, 17:40

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby DrCR » 16. Jun 2017, 22:58

gapan wrote:No. The Salix FF 52 package is gtk+3.

Gotcha, that makes sense now.

That provided txz package seems to have done the trick -- Firefox now opens without error with oxygen-gtk theme.

Code: Select all
# spkg oxygen-gtk3-1.1.4-x86_64-1dj.txz
Upgrading package oxygen-gtk3-1.1.0-x86_64-1dj -> oxygen-gtk3-1.1.4-x86_64-1dj...
| oxygen-gtk3 (a gtk3 port of the default KDE widget theme)
|
| Oxygen-Gtk3 is a port of the default KDE widget theme (Oxygen),to gtk.
| It's primary goal is to ensure visual consistency between gtk and
| qt-based applications running under kde. A secondary objective is
| to also have a stand-alone nice looking gtk theme that would behave
| well on other Desktop Environments.
|
|
|
|
|
|
# exit
exit
$ cat ~/.config/gtk-3.0/settings.ini
[Settings]
gtk-font-name = Sans Serif 9
gtk-icon-theme-name = simple
gtk-theme-name = oxygen-gtk
gtk-application-prefer-dark-theme = true
$
DrCR
 
Posts: 32
Joined: 30. May 2014, 05:14

Re: [Resolved] Issue with mozilla-firefox-52.2.0esr-x86_64-1

Postby gapan » 16. Jun 2017, 23:10

Nice. I will update the package in the repositories with it then.
Image
Image
User avatar
gapan
Salix Wizard
 
Posts: 5167
Joined: 6. Jun 2009, 17:40

Previous

Return to Bugs

cron